%global debug_package %{nil}

Name: containernetworking-plugins
Epoch: 100
Version: 1.0.0
Release: 1%{?dist}
Summary: Libraries for writing CNI plugin
License: Apache-2.0
URL: https://github.com/containernetworking/plugins/releases
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: golang-1.17
BuildRequires: glibc-static

%description
The CNI (Container Network Interface) project consists of a
specification and libraries for writing plugins to configure network
interfaces in Linux containers, along with a number of supported
plugins. CNI concerns itself only with network connectivity of
containers and removing allocated resources when the container is
deleted.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
mkdir -p bin
set -ex && \
    export CGO_ENABLED=1 && \
    ./build_linux.sh -buildmode pie -v -ldflags "-s -w"

%install
install -Dpm755 -d %{buildroot}%{_sysconfdir}/cni/net.d
install -Dpm755 -d %{buildroot}%{_libexecdir}/cni
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/bandwidth
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/bridge
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/dhcp
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/firewall
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/host-device
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/host-local
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/ipvlan
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/loopback
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/macvlan
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/portmap
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/ptp
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/sbr
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/static
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/tuning
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/vlan
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/vrf

%files
%license LICENSE
%dir %{_sysconfdir}/cni
%dir %{_sysconfdir}/cni/net.d
%dir %{_libexecdir}/cni
%{_libexecdir}/cni/bandwidth
%{_libexecdir}/cni/bridge
%{_libexecdir}/cni/dhcp
%{_libexecdir}/cni/firewall
%{_libexecdir}/cni/host-device
%{_libexecdir}/cni/host-local
%{_libexecdir}/cni/ipvlan
%{_libexecdir}/cni/loopback
%{_libexecdir}/cni/macvlan
%{_libexecdir}/cni/portmap
%{_libexecdir}/cni/ptp
%{_libexecdir}/cni/sbr
%{_libexecdir}/cni/static
%{_libexecdir}/cni/tuning
%{_libexecdir}/cni/vlan
%{_libexecdir}/cni/vrf

%changelog
